Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ee
Class XAResourceImpl

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.ee.XAResourceImpl

All Implemented Interfaces:
  XAResource

public class XAResourceImpl
extends Object
implements XAResource

No-op XAResourceImpl for JCA support.

Fields inherited from interface javax.transaction.xa.XAResource
`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

Constructor Summary
`XAResourceImpl()`

Method Summary
`void` | `commit(Xid xid, boolean onePhase)`
`void` | `end(Xid xid, int flags)`
`void` | `forget(Xid xid)`
`int` | `getTransactionTimeout()`
`boolean` | `isSameRM(XAResource xares)`
`int` | `prepare(Xid xid)`
`Xid[]` | `recover(int flag)`
`void` | `rollback(Xid xid)`
`boolean` | `setTransactionTimeout(int seconds)`
`void` | `start(Xid xid, int flags)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XAResourceImpl

    public XAResourceImpl()

Method Detail

### commit

    public void commit(Xid xid,
                       boolean onePhase)
                throws XAException

  Specified by:
    `commit` in interface `XAResource`

### end

    public void end(Xid xid,
                    int flags)
             throws XAException

  Specified by:
    `end` in interface `XAResource`

### forget

    public void forget(Xid xid)
                throws XAException

  Specified by:
    `forget` in interface `XAResource`

### getTransactionTimeout

    public int getTransactionTimeout()
                              throws XAException

  Specified by:
    `getTransactionTimeout` in interface `XAResource`

### isSameRM

    public boolean isSameRM(XAResource xares)
                     throws XAException

  Specified by:
    `isSameRM` in interface `XAResource`

### prepare

    public int prepare(Xid xid)
                throws XAException

  Specified by:
    `prepare` in interface `XAResource`

### recover

    public Xid[] recover(int flag)
                  throws XAException

  Specified by:
    `recover` in interface `XAResource`

### rollback

    public void rollback(Xid xid)
                  throws XAException

  Specified by:
    `rollback` in interface `XAResource`

### setTransactionTimeout

    public boolean setTransactionTimeout(int seconds)
                                  throws XAException

  Specified by:
    `setTransactionTimeout` in interface `XAResource`

### start

    public void start(Xid xid,
                      int flags)
               throws XAException

  Specified by:
    `start` in interface `XAResource`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.